mailcrypt (3.5.9-8) unstable; urgency=medium

  * make build reproducible using patch from Chris Lamb, (closes: #777506)
  * bump standards version

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 May 2015 13:53:47 +0100

mailcrypt (3.5.9-7) unstable; urgency=medium

  * autoupdate configure.in and rename to configure.ac
  * autoreconf, refresh configure
  * bump standards version
  * canonical packaging repo urls
  * translation by Adriano Rafael Gomes <adrianorg@gmail.com> (closes: #693382)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 May 2014 23:18:12 +0100

mailcrypt (3.5.9-6) unstable; urgency=low

  * Allow emacs24 (closes: #679944, #685179)

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 10 Nov 2012 10:22:49 +0000

mailcrypt (3.5.9-5) unstable; urgency=low

  * Acknowledge and merge translation-related NMU.  Thanks Christian Perrier!
  * Bump standards version
  * Silence lintian tag description-synopsis-starts-with-article
  * Single-debian-patch source option (closes: #643211)
  * Silence lintian tag maintainer-script-without-set-e

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 29 Mar 2012 23:12:12 +0100

mailcrypt (3.5.9-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #633472
    - Polish (Michał Kułach).  Closes: #659022

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Feb 2012 07:51:29 +0100

mailcrypt (3.5.9-4) unstable; urgency=low

  * bump standards version (debian/control)
  * Debconf translation:
    - Japanese (Nobuhiro Iwamatsu).  Closes: #605341

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 09 Apr 2011 19:31:11 +0100

mailcrypt (3.5.9-3) unstable; urgency=low

  * Merge upstream changes
  * Make build work without emacs (closes: 577380)
  * Perform updates deferred until upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 14 Apr 2010 12:57:48 +0100

mailcrypt (3.5.9-2) unstable; urgency=low

  * Merge upstream changes
    - updates to autoconf configuration files
  * regenerate actual configure script (not included upstream)
  * elaborate source locations in debian/README.Debian,
  * standardise repo info in debian/control
  * Switch to dpkg-source 3.0 (quilt) format

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 25 Mar 2010 18:56:38 +0000

mailcrypt (3.5.9-1) unstable; urgency=low

  * New upstream release
  * Support uscan
  * Make Barak A. Pearlmutter comaintainer dejure instead of just defacto
    - only practical difference: bug reports via CC + QA, and lower integration hassle

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 11 Mar 2010 14:15:08 +0000

mailcrypt (3.5.8+CVS.2010.03.08-0.1) unstable; urgency=low

  * Debian packaging tweaks
  * New upstream version
    - merge in bug fixes that were pushed upstream

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Mar 2010 18:15:29 +0000

mailcrypt (3.5.8+CVS.2010.02.23-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix VCS fields (debian/changelog)
  * New upstream version
    - fix for emacs 23.1 rmail-cease-edit nulling buffer-local rmail-buffer

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 23 Feb 2010 16:11:12 +0000

mailcrypt (3.5.8+CVS.2010.02.14-0.1) unstable; urgency=low

  * Non-maintainer upload.
    - repo with changes in debian/control Vcs field
  * Merge ongoing changes in upstream CVS
    - upstream merge of our patch fixing makeinfo error (mailcrypt.texi)
    - fixes build error with recent .texi tools (Makefile.in) addressing
      http://sourceforge.net/tracker/?func=detail&aid=2778193&group_id=397&atid=100397
    - remove gratuitous differences with latest upstream Makefile.in
    - adds autoloads comments (*.el) addressing
      http://sourceforge.net/tracker/?func=detail&aid=1080283&group_id=397&atid=100397
      and allowing (in principle) auto-generation of Debian emacsen autoloads
  * Emacs23 issues
    - Patch from Toni Schmidbauer <toni@stderror.at> (closes: #545892)
    - Switch rmail-convert-file to rmail-convert-file-maybe (mc-toplevel.el)
    - Fix test for Emacs >= 20.3 (debian/mailcrypt-init.el)
    - Work around rmail-cease-edit setting rmail-buffer to nil breaking
      mc-rmail-decrypt-message (!)
  * Insert missing quote in mc-scheme-pgp{50,65} to fix mc-*-verify-signature
  * Describe import into GIT in debian/README.Debian
  * Debconf translation:
    - Finnish (Esko Arajärvi).  Closes: #549709
  * Address lintian and build issues
    - Do not include *.texi in binary package or register it with doc-base
    - Add dependency on recent-enough dpkg or install-info
    - Stop calling install-docs in installation scripts
    - Stop calling install-info in installation scripts
    - Stop calling install-info in debian/rules (!)
    - Regenerate debian/rules from debian/rules.in
    - Get rid of ...//... in debian/rules as it bugs me (and is error prone)
    - Flush lintian warning about ignored make distclean error
    - rev deb std

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 18 Feb 2010 00:33:52 +0000

mailcrypt (3.5.8+CVS.2005.04.29.1-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on install-info and don't call install-info with
    an absolute path. Closes: #545665
  * Ignore rm errors to prevent FTBFS. Closes: #545665
  * Depend on "dpkg (>= 1.15.4) | install-info" as install-info
    is no longer provided by dpkg
  * Move "Homepage:" out of the package description
  * Use "Editors" for the doc-base section, not "Apps/Editors"
  * No longer ignore errors from make in the clean target
  * Drop ePerl crap from the lintian overrides file
  * Fix pending l10n issues. Debconf translations:
    - Swedish (Martin Bagge).  Closes: #504032
    - Spanish (Francisco Javier Cuadrado).  Closes: #533142
    - Russian (Yuri Kozlov).  Closes: #543190
    - Vietnamese (Clytie Siddall).  Closes: #548990

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 Oct 2009 09:28:36 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-12) unstable; urgency=low

  * po/pt.po: Reencode; thanks to Christian Perrier.  (Closes: #436070)

  * control (Depends): Change "emacs21 | emacs22 | emacs-snapshot" to
    "emacs22 | emacs21 | emacs-snapshot" in order to prefer "emacs22" to
    "emacs21" ; thanks to Tatsuya Kinoshita.  (Closes: #435902)

 -- Davide G. M. Salvetti <salve@debian.org>  Tue, 07 Aug 2007 23:04:19 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-11) unstable; urgency=low

  * install.in (do_install): State the log file location; thanks to Romain
    Francoise.  (See: #408227)

  * po/nl.po: New file; thanks to Bart Cornelis.  (Closes: #415520)
  * po/pt.po:  New file; thanks to Jacobo Tarrio.  (Closes: #430992)
  
  * rules.in (build-package): Added dependency on the "clean" target.

  * bug.script.in (FLAVORS), control (Depends), install.in, remove.in:
    Added emacs22.  (Closes: #425206, #432144, #432393)

  * config.in (configure|reconfigure): Do not check for custom
    autoactivation code anymore.  Consequently remove
    "mailcrypt/alreadydefault" debconf call.
  * templates.in (mailcrypt/alreadydefault): Remove
    "mailcrypt/alreadydefault" note.
  * cs.po, de.po, es.po, fr.po, it.po, nl.po, templates.pot: Consequently
    updated.  (Closes: #388927)

  * copyright.in, COPYRIGHT, variables: Update copyright.
  * config.in, install.in, postinst.in, postrm.in, prerm.in, remove.in:
    Linting.
  * postinst.in, postrm.in, prerm.in: Check script arguments before
    calling actions.
  * variables (DINSTALL, DREMOVE): Check for "install-docs" in "${PATH}"
    rather than by absolute location.

  * install.in (do_install): Remove an extra space character in the
    'setting-up' message.

 -- Davide G. M. Salvetti <salve@debian.org>  Mon, 30 Jul 2007 23:54:25 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix package for compatibility with emacs22, using a patch provided by
    Kirill A. Korinskiy. (Closes: #432144)

 -- Roland Mas <lolando@debian.org>  Tue, 31 Jul 2007 22:47:43 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-10) unstable; urgency=low

  * po/cs.po: New file; thanks to Martin Šín.  (Closes: #382926)
  * po/de.po: Updated file; thanks to Helge Kreutzmann.  (Closes: #407728)

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 28 Jan 2007 12:08:23 +0100

mailcrypt (3.5.8+CVS.2005.04.29.1-9) unstable; urgency=medium

  * Urgency medium: fixes an important bug.
  * prerm.in: Fixed typo; thanks to Yavor Doganov.  (Closes: #374789)

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 21 Jun 2006 14:20:24 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-8) unstable; urgency=low

  * rules.in (po-debconf): Refactored.
    (updatepo): Removed.
    (clean): Updated accordingly.
    (debian/po/templates.pot): Renamed from "debian/po/updatepo".
    (debian/templates.merged): Removed.
    (%.dcobj): New.
    (DCSOURCES): New.
    (DFILES): Removed "debian/templates.merged"; automatically add merged
    templates, with extension ".dcobj".
    (binary-indep): Updated accordingly.

  * postinst.in, postrm.in, prerm.in: Fixed typo; exit 1 if called with
    unknown argument; thanks to Justin Pryzby.
  * prerm.in (failed-upgrade): Was backwards, fixed; thanks to Justin
    Pryzby.

  * po/fr.po: New file; thanks to Steve Petruzzello.  (Closes: #374420)

 -- Davide G. M. Salvetti <salve@debian.org>  Mon, 19 Jun 2006 15:39:13 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-7) unstable; urgency=low

  * control (Description): URL to upstream added.

  * docbase.in (texinfo/Files): Typo fixed.

  * templates.in: Renamed from "template".
  * templates.in (mailcrypt/default): Rephrased to avoid making
    assumptions about interfaces in templates; also mention "~/.emacs.el"
    as a possible Emacs init file.
  * de.po, it.po, es.po, templates.pot: Updated accordingly.

  * install.in (do_install): Typo fixed; thanks to Remi Vanicat.
    (Closes: #371104)

  * lintian.in: New file; <:=${ecode}:>/install/<:=${PACKAGE}:> is a
    maintainer script.
  * rules.in: Install it.

 -- Davide G. M. Salvetti <salve@debian.org>  Wed,  7 Jun 2006 22:19:59 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-6) unstable; urgency=low

  * templates (_Description): Fixed typo.
  * de.po, es.po, it.po, templates.pot: Updated accordingly.

 -- Davide G. M. Salvetti <salve@debian.org>  Tue,  6 Jun 2006 14:25:10 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-5) unstable; urgency=low

  * control (Standard-Versions): Upgraded to 3.7.2.

  * install.in (do_install): Be careful to add Elisp sources' directory to
    `load-path' after the byte-compiled directory; thanks to Jim Van
    Zandt.  (Closes: #352570)

  * rules.in (fixperms): New variable.  The command used to canonicalize
    the whole tree permissions.
    (clean): Use "$(fixperms)" to canonicalize permissions after cleaning.

  * rules.in (%): Cater for ePerl "*.in" sources in subdirectories of
    "debian".

  * rules.in (%): Declare ${DEBIAN_DIR}.
  * variables: Use it, to include "COPYRIGHT" in ePerl auto-generated files
    located in a "debian/" subdirectory.

  * rules.in (checkdir, checkroot): Should not be implemented by means of
    phony targets, otherwise targets which depend on them will never be
    up-to-date.
    (build, clean, binary-indep, binary-arch): Change accordingly.
  
  * control (Build-Depends-Indep): Added "po-debconf".
  * templates: Renamed from template.in.  Adapted to po-debconf.
  * po: New subdirectory.  Translations.
  * po/POTFILES.in: New file.  Automatically managed by po-debconf.
  * po/de.po, po/es.po, po/it.po, po/pt_BR.po: New files.  Localized
    translations for templates, moved from templates.
  * po/templates.pot: New file.  Automatically managed by po-debconf.
  * rules.in (DFILES, updatepo, po/updatepo, templates.merged,
    binary-indep): Cater for po-debconf.

 -- Davide G. M. Salvetti <salve@debian.org>  Sun,  4 Jun 2006 01:44:40 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-4) unstable; urgency=low

  * control (Standard-Versions): Upgraded to 3.6.2.
    (Depends): Modified the dependency on "debconf" to "debconf |
    debconf-2.0" in order to allow the transition to cdebconf.
    (Closes: #332016)

 -- Davide G. M. Salvetti <salve@debian.org>  Mon, 10 Oct 2005 17:49:17 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-3) unstable; urgency=medium

  * Urgency medium: Fixes an important bug.
  * install: Ensure that "<:=${lisp}:>/configure" is up-to-date WRT
    "<:=${lisp}:>/configure.in", so that it does not need to be remade,
    something which would depend on autoconf; many thanks to Daniel Kahn
    Gillmor. (Closes: #328468)

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 22 Sep 2005 15:57:47 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-2) unstable; urgency=medium

  * Urgency medium: Fixes a serious bug.
  * General overhaul of the debian directory.
  * bug.presubj, bug.script: New files.
  * control (Depends): Added "make".
  * install (do_install): Use "make".
  * preinst: Deleted.
  * rules.in (build): Ensure that "./configure" is executable; thanks to
    Andreas Jochens.  (Closes: #328059)

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 14 Sep 2005 19:53:06 +0200

mailcrypt (3.5.8+CVS.2005.04.29.1-1) unstable; urgency=medium

  * New CVS upstream source.
  * Urgency medium: Fixes a serious bug.
  * ../Makefile.in (mailcrypt_toc.html): Added an option to "texi2html" in
    order to avoid a subdirectory for the generated HTML files; thanks to
    Matt Kraai.  (Closes: #323730)
    (distclean): Also remove "tests/Makefile", "tests/remailer/Makefile",
    and "autom4te.cache/".

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 11 Sep 2005 00:19:49 +0200

mailcrypt (3.5.8-3) unstable; urgency=low

  * control (Depends), install, remove: Added emacs-snapshot as a
    supported Emacs flavor.
  * control (Standard-Versions): Upgraded to 3.6.1.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 22 Apr 2005 18:35:52 +0200

mailcrypt (3.5.8-2) unstable; urgency=high

  * ../mc-gpg.el: Patch from upstream CVS; thanks to James Troup.
    (Closes: #234954, #117204)
  * control (Depends): Removed emacs20; thanks to Martin Michlmayr.
    (Closes: #232769)
  
 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 28 Feb 2004 12:11:35 +0100

mailcrypt (3.5.8-1) unstable; urgency=medium

  * New upstream release.  (Closes: #161691)
  * control (Depends): Removed mule2.
    (Standards-Version): Upgraded to 3.5.7.
  * postinst (do_link): Removed.
  * prerm (undo_link): Removed.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 27 Sep 2002 15:34:07 +0200

mailcrypt (3.5.7-1) unstable; urgency=medium

  * New upstream release.
  * control (Description): Added Mew.
    (Section): mail.
  * copyright: Added Brian Warner as appropriate.
  * docbase (Abstract): Added Mew.
    (Author): Added Brian Warner.
  * mailcrypt-init.el: Added Mew's hooks.
  * rules (clean): Do not remove mailcrypt.info* and mailcrypt.dvi any more.
  
 -- Davide G. M. Salvetti <salve@debian.org>  Sun,  1 Sep 2002 17:25:24 +0200

mailcrypt (3.5.6.20010925-2) unstable; urgency=high

  * COPYRIGHT: Updated.
  * control: Build-Depends -> Build-Depends-Indep.
  * mailcrypt-init.el: Make GNU Privacy Guard the default encryption
    scheme.  (Closes: #142447)

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 12 Apr 2002 00:28:55 +0200

mailcrypt (3.5.6.20010925-1) unstable; urgency=low

  * control (Standards-Version): Updated to 3.5.6.
  * mc-gpg-utf-8.patch: Removed (added upstream).
  * rules (build): Remove mc-gpg-utf-8.patch (added upstream).
    (clean): Remove mc-gpg-utf-8.patch (added upstream).
  * templates: Added Spanish; thanks to Gorka Olaizola.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 19 Oct 2001 11:48:47 +0200

mailcrypt (3.5.6-3) unstable; urgency=low

  * control (Standards-Version): Updated to 3.5.5.
  * mc-gpg-utf-8.patch: New file; thanks to Francesco Potortì.
  * remove: Changed `|| true' after `rmdir' to `test -d && rmdir'.
  * rules (build): Add mc-gpg-utf-8.patch.
    (clean): Remove mc-gpg-utf-8.patch.  (Closes: #100582)
  * templates (alreadydefault): Type changed from `text' to `note'.
    (Closes: #106340)

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 28 Jul 2001 16:15:53 +0200

mailcrypt (3.5.6-2) unstable; urgency=low

  * remove: Added `|| true' after `rmdir'; thanks to Timshel Knoll.
    (Closes: #101068)

 -- Davide G. M. Salvetti <salve@debian.org>  Sat, 16 Jun 2001 13:45:49 +0200

mailcrypt (3.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 25 May 2001 17:09:43 +0200

mailcrypt (3.5.5.20010506-2) unstable; urgency=high

  * rules (build): Removed debian/rules from deps.
    (debian/rules): Removed debian/system.variables from deps.
    (Closes: #97579)

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 16 May 2001 14:47:08 +0200

mailcrypt (3.5.5.20010506-1) unstable; urgency=low

  * New upstream (CVS) version.  (Closes: #96840)
  * variables (DOCS): Added WARNINGS file.

 -- Davide G. M. Salvetti <salve@debian.org>  Wed,  9 May 2001 14:08:06 +0200

mailcrypt (3.5.5-11) unstable; urgency=low

  * control (Section): non-US.
  * templates: Added German; thanks to Joerg Rieger.  (Closes: #86785)

 -- Davide G. M. Salvetti <salve@debian.org>  Sat,  5 May 2001 15:49:56 +0200

mailcrypt (3.5.5-10) unstable; urgency=medium

  * control (Depends): removed emacs19, as it's no more in unstable;
    thanks to Martin Michlmayr.  (Closes: #82680, #82691)
  * control (Build-Depends): added eperl.
  * install: Removed emacs19.
  * remove: Added historic cleanup code.
  * remove: Removed emacs19.
  * rules (debian/rules): added.
  * rules (build): added debian/rules.
  * ../gpgwrap.pl.in: removed, as it's no more part of Mailcrypt.
  * ../mailcrypt.el: reverted to the upstream version.

 -- Davide G. M. Salvetti <salve@debian.org>  Wed,  7 Feb 2001 17:58:41 +0100

mailcrypt (3.5.5-9) unstable; urgency=low

  * config: Enabled $1" detection case again: debconf has been fixed
    in the meanwhile.
  * control (Section): non-US/mail.
  * control (Build-Depends): added texinfo, texi2html.
  * postinst: Removed no more needed beauty stuff.

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 17 Jan 2001 17:05:04 +0100

mailcrypt (3.5.5-8) unstable; urgency=low

  * COPYRIGHT: Updated.
  * control: Added emacs21 dependence.
  * install: Added support for emacs21.
  * remove: Added support for emacs21.

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 11 Jan 2001 01:44:47 +0100

mailcrypt (3.5.5-7) unstable; urgency=low

  * README: Obsolete information removed.
  * control: Standards-Version: 3.2.1.
  * control: Dependence on pgp or pgp5i removed, as gnupg is fully
    supported.
  * control: Description: updated.
  * control: Section: mail, contrib --> non-US.
  * docbase: Updated.
  * rules: Added -isp to dpkg-gencontrol.
  * templates: Wording improved.
  * templates: Localized in Italian.

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 29 Oct 2000 01:16:14 +0200

mailcrypt (3.5.5-6) frozen unstable; urgency=medium

  * control: Added |pgp5i dependence.

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 20 Jan 2000 15:52:56 +0100

mailcrypt (3.5.5-5) unstable; urgency=low

  * control: Standards-Version: 3.0.0.
  * remove: Fixed typo. (Closes: #52498)

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 12 Dec 1999 23:10:45 +0100

mailcrypt (3.5.5-4) unstable; urgency=low

  * Debconf support updated.

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 31 Oct 1999 22:54:14 +0100

mailcrypt (3.5.5-3) unstable; urgency=low

  * control: Added mule2 support.
  * install: Added mule2 support.
  * remove: Added mule2 support.
  * rules: Rule to update system.variables added.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri, 22 Oct 1999 21:41:39 +0200

mailcrypt (3.5.5-2) unstable; urgency=low

  * variables: Split generic stuff to system.variables.
  * postinst,prerm: Fixed typo. (Closes: #47418)

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 14 Oct 1999 21:09:56 +0200

mailcrypt (3.5.5-1) unstable; urgency=low

  * New upstream version. (Closes: #47297)
  * preinst: New file.
  * templates: Fixed typo. (Closes: #47306)
  * variables: Added texi2html.ext to $DOCS.

 -- Davide G. M. Salvetti <salve@debian.org>  Wed, 13 Oct 1999 16:08:27 +0200

mailcrypt (3.5.4-5) unstable; urgency=low

  * Debconf support added.
  * Eperl handling of Debian files.
  * COPYRIGHT: New file.
  * README: Added note for TeX/TeXInfo sources.
  * config: New file.
  * control: Dependence on debconf added.
  * install: Really ignore emacs.
  * postrm: New file.
  * remove: Really ignore emacs.
  * rules: New doc directory for TeX/TeXInfo sources.
  * templates: New file.
  * variables: New file.

 -- Davide G. M. Salvetti <salve@debian.org>  Tue, 12 Oct 1999 16:06:05 +0200

mailcrypt (3.5.4-4) unstable; urgency=low

  * postinst: Fixed ../share/doc/pkg bug. (Closes: #47119)

 -- Davide G. M. Salvetti <salve@debian.org>  Mon, 11 Oct 1999 09:42:45 +0200

mailcrypt (3.5.4-3) unstable; urgency=low

  * Docbase support added.
  * docbase: New file.
  * emacsen.install: Renamed to install.
  * emacsen.install.source: Renamed to install.in.
  * emacsen.remove: Renamed to remove.
  * mailcrypt.dhelp: File removed.
  * mailcrypt.menu: File removed.
  * postinst: Docbase support added.
  * postrm: File removed.
  * prerm: Docbase support added.
  * rules: Docbase support added.

 -- Davide G. M. Salvetti <salve@debian.org>  Thu,  7 Oct 1999 17:47:54 +0200

mailcrypt (3.5.4-2) unstable; urgency=low

  * control: Standards-Version: 3.0.0.
  * mailcrypt.dhelp: New file.
  * mailcrypt.menu: Updated accordingly.
  * postinst: Updated accordingly; dhelp support added.
  * prerm: Added dhelp support.
  * rules: Updated accordingly; dhelp support added.

 -- Davide G. M. Salvetti <salve@debian.org>  Wed,  6 Oct 1999 00:48:33 +0200

mailcrypt (3.5.4-1) unstable; urgency=medium

  * New upstream version. (Closes: #34490)

 -- Davide G. M. Salvetti <salve@debian.org>  Sun,  3 Oct 1999 14:39:56 +0200

mailcrypt (3.5.1-1) unstable; urgency=low

  * New upstream version. (Closes: #30741)
  * copyright: Updated.
  * mailcrypt-init.el: Fixed Rmail hooks.  Added autoload for
    mc-setversion. (Closes: #30740)
  * rules: Added README.gpg to $DOCS.
  * control: Mention GPG.

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 17 Dec 1998 20:49:03 +0100

mailcrypt (3.5b7-2) unstable; urgency=low

  * control: Mailcrypt now depends on gnupg|pgp

 -- Davide G. M. Salvetti <salve@debian.org>  Tue, 15 Dec 1998 16:10:40 +0100

mailcrypt (3.5b7-1) unstable; urgency=low

  * New upstream version.
  * ../mailcrypt.el: Old patch to support message-mode removed, as it was
    added upstream.
  * mailcrypt-init.el: Default URL fixes removed, as they were added
    upstream.

 -- Davide G. M. Salvetti <salve@debian.org>  Fri,  9 Oct 1998 22:46:52 +0200

mailcrypt (3.5b6-1) unstable; urgency=low

  * New upstream version.
  * rules: Added auto-detection of info and html generated files.

 -- Davide G. M. Salvetti <salve@debian.org>  Sun, 27 Sep 1998 23:43:18 +0200

mailcrypt (3.5b5-1) unstable; urgency=low

  * New upstream version. (Closes: #23963)
  * copyright: Updated info to include Len Budney.
  * mailcrypt-init.el: Updated mc-pgp-keyserver-url-template and
    mc-pgp-keyserver-port (merged from 3.4-4.1). (Closes: #25896)
  * emacsen.install: Moved to emacsen.install.source.
  * rules: Updated $(SOURCES); generate $SOURCES in emacsen.install
    from emacsen.install.source.

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 27 Aug 1998 11:35:35 +0200

mailcrypt (3.4-4) frozen unstable; urgency=low

  * emacsen.install: Performed s/load-path-hack/lpath/g.
  * postinst: Moved abort stuff in a separate nop case statement.
  * postrm: New file.
  * prerm: Moved call to update-menus to postrm.

 -- Davide G. M. Salvetti <salve@debian.org>  Tue, 21 Apr 1998 18:59:05 +0200

mailcrypt (3.4-3) unstable; urgency=low

  * postinst: Fixed test for update-menus; corrected a typo.  (Thanks
    to Ben Gertzfield.)

 -- Davide G. M. Salvetti <salve@debian.org>  Fri,  6 Mar 1998 15:54:12 +0100

mailcrypt (3.4-2) unstable; urgency=medium

  * New maintainer.
  * README.Debian: Renamed to README, added a few notes.
  * control: Moved to contrib/mail. (Closes: #10530)
  * control: Updated Standards-Version 2.4.0.0. (Closes: #9533)
  * control: Changed Depends: pgp, emacs19|emacs20.
  * copyright: Rewritten from scratch.
  * emacsen.install: New file.
  * emacsen.remove: New file.
  * mailcrypt-init.el: Added debian-emacs-flavor code.
  * mailcrypt.menu: New file.
  * postinst: Added support for `menu'.
  * postinst: Added call to emacs-package-install.
  * prerm: Added support for `menu'.
  * prerm: Added call to emacs-package-remove.
  * rules: Rewritten from scratch.
  * rules: Added HTML documentation in /usr/doc/mailcrypt/mailcrypt.html/.
  * rules: Install elisp files under /usr/share/emacs/.
  * rules: Modified to support the new emacsen proposal.

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 19 Feb 1998 00:20:28 +0100

Tue May 21 20:27:50 1996  Joe Reinhardt  <jmr@everest.radiology.uiowa.edu>

	* mailcrypt.el (mc-modes-alist): updated assoc. list for message mode

	* mailcrypt-init.el: message mode hooks

Sun May 19 16:19:11 1996  Joe Reinhardt  <jmr@everest.radiology.uiowa.edu>

	* Makefile: modified to work with Debian packaging scheme

	* mailcrypt-init.el: new file to setup hooks for mail and news

comment (0) UNRELEASED; urgency=low

  * This is not a changelog entry.

  * arch-tag: 8a68f787-7690-47c0-9f9f-c8eeb3b86972
  *
  * local variables:
  * mode: debian-changelog
  * coding: utf-8
  * ispell-local-dictionary: "american"
  * end:
  *
  * LocalWords:  mailcrypt CVS toc html texi Kraai distclean Sep Troup postinst
  * LocalWords:  Michlmayr prerm docbase init Mew's dvi Indep mc gpg utf Gorka
  * LocalWords:  Olaizola rmdir alreadydefault Timshel debian deps Joerg Rieger
  * LocalWords:  eperl config debconf texinfo README pgp gnupg isp contrib url
  * LocalWords:  dpkg gencontrol preinst TeXInfo postrm emacsen dhelp Rmail po
  * LocalWords:  autoload setversion Budney keyserver nop elisp Gertzfield te
  * LocalWords:  alist Zandt fixperms canonicalize ePerl checkdir checkroot el
  * LocalWords:  indep DFILES updatepo cdebconf autoconf Kahn Gillmor presubj
  * LocalWords:  Jochens Makefile autom emacs Potortì

 -- Davide G. M. Salvetti <salve@debian.org>  Thu, 01 Jan 1970 00:00:01 +0000
